- entityDefinitions:
  - IDI_Task_ViewReturnInstanceSetMethodBinding: '{1c3c859e-d496-4db2-b744-42467bdc9813}'
  - IDI_Task_EditReturnInstanceSetMethodBinding: '{eecd6199-7a3f-4de3-9d0f-428c945b2f0e}'
  - IDE_ReturnInstanceSetMethodBinding_View: '{5f897c2a-5649-43b3-958b-e4a5d46ffab3}'
  - IDE_ReturnInstanceSetMethodBinding_Edit: '{6e7b9991-5521-4ff1-af76-f3109c6f8b48}'
  - IDE_ReturnInstanceSetMethodBinding_Definition: '{c7191f4b-e45e-4430-a568-8bb29600c860}'
  - IDE_ReturnInstanceSetMethodBinding_Preview: '{98e39ace-c4cf-4cf1-b648-74eed221dc9c}'

  - IDE_MethodBinding_ParameterAssignments: '{c757b7ad-f00d-4fc6-970a-6e9dc33c2c38}'
  - IDMB_Method_Binding__get__Parameter_Assignments_TaskRelatedInstance: '{1e567031-8cb3-49a9-ab4f-2236ba547abe}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_ViewReturnInstanceSetMethodBinding;'
    name: 'View Return Instance Set Method Binding'
    initiatingElement: '&IDE_ReturnInstanceSetMethodBinding_View;'
    taskCategory: '&IDI_TaskCategory_ReturnInstanceSetMethodBinding;'

  - sequenceTask: '&IDI_Task_EditReturnInstanceSetMethodBinding;'
    name: 'Edit Return Instance Set Method Binding'
    initiatingElement: '&IDE_ReturnInstanceSetMethodBinding_Edit;'
    taskCategory: '&IDI_TaskCategory_ReturnInstanceSetMethodBinding;'

  - element: '&IDE_ReturnInstanceSetMethodBinding_View;'
    name: 'view rsmb'
    elementContents:
    - globalIdentifier: '{742aa7e2-79c3-4167-9de4-db194a32bd96}'
      order: a
      defaultDataType: '&IDE_ReturnInstanceSetMethodBinding_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_NotEnterable;'
    - globalIdentifier: '{d3be5892-b103-46b2-a6e8-c30685398934}'
      defaultDataType: '&IDE_MethodBinding_ParameterAssignments;' # &IDR_Method_Binding__has__Parameter_Assignment;'
      label: 'Parameter Assignments'
      order: b
      builtFromBEMProcess: '{f1da7d9c-ed2f-4d36-9d40-b48f40cfdb96}'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'

  - element: '&IDE_MethodBinding_ParameterAssignments;'
    name: 'parm assigns'
    elementContents:
    - globalIdentifier: '{ee32c353-b0eb-4708-8afc-76f1a37afe9b}'
      defaultDataType: '&IDR_Parameter_Assignment__assigns_to__Work_Data;'
      label: 'Assigns to Parm'
      order: a
    - globalIdentifier: '{3e5239a1-3c6c-4f22-b116-d03fb6bf43d2}'
      defaultDataType: '&IDR_Parameter_Assignment__assigns_from__Executable_returning_Work_Data;'
      label: 'Assigns from RWMB'
      order: b

  - buildElementMethod: '{d31608cd-b669-46a8-ac68-03a1ffc28feb}'
    hasBemProcess: '{f1da7d9c-ed2f-4d36-9d40-b48f40cfdb96}'

  - bemProcess: '{f1da7d9c-ed2f-4d36-9d40-b48f40cfdb96}'
    name: 'build parm assigns'
    loopExecutableReturningInstanceSet: '&IDMB_Method_Binding__get__Parameter_Assignments_TaskRelatedInstance;'

  - returnInstanceSetMethodBinding: '&IDMB_Method_Binding__get__Parameter_Assignments_TaskRelatedInstance;'
    executesMethod: '&IDM_Method_Binding__get__Parameter_Assignments;'
    parameterAssignments:
    - assignsToParameter: '&IDC_MethodBinding;'
      assignsFromWorkData: '&IDI_WorkSet_TaskRelatedInstance;'


  - element: '&IDE_ReturnInstanceSetMethodBinding_Edit;'
    name: 'edit rsmb'
    elementContents:
    - globalIdentifier: '{370db58f-09fc-46b8-8485-849ef2fe0734}'
      defaultDataType: '&IDE_ReturnInstanceSetMethodBinding_Definition;'
      order: a
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{52ada6e0-8192-42ed-b191-0120dbcdc14f}'
      defaultDataType: '&IDE_MethodBinding_ParameterAssignments;' # &IDR_Method_Binding__has__Parameter_Assignment;'
      label: 'Parameter Assignments'
      order: b
      builtFromBEMProcess: '{f1da7d9c-ed2f-4d36-9d40-b48f40cfdb96}'

  - element: '&IDE_ReturnInstanceSetMethodBinding_Definition;'
    name: 'rsmb subedit'
    elementContents:
    - globalIdentifier: '{d3b13c81-c7a2-4986-95dc-115e01633ca2}'
      defaultDataType: '&IDR_Method_Binding__executes__Method;'
      label: 'Executes Method'
      order: a
      displayOptions:
      - instance: '&IDI_DisplayOption_Required;'

  - element: '&IDE_ReturnInstanceSetMethodBinding_Preview;'
    name: 'rsmb preview'
    elementContents:
    - globalIdentifier: '{9f4e01a2-e450-404e-aec6-0b950e368dfc}'
      defaultDataType: '&IDR_Method_Binding__executes__Method;'
      label: 'Executes Method'
      order: a
    # - globalIdentifier: '{9140d382-28ad-45ac-8ae7-83b140a85217}'
    #   defaultDataType: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
    #   label: 'Access'
    #   order: b
    # - globalIdentifier: '{34732b65-03f3-45a6-b178-db92866dc982}'
    #   defaultDataType: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
    #   label: 'Access'
    #   order: c